Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::generate_fn Struct Reference
Algorithms

## Public Member Functions
template<typename O , typename S , typename F >
auto | operator() (O begin, S end, F fun) const -> generate_result< O, F > requires invocable< F & > &&output_iterator< O, invoke_result_t< F & >> &&sentinel_for< S, O >
template<typename Rng , typename F >
auto | operator() (Rng &&rng, F fun) const -> generate_result< safe_iterator_t< Rng >, F > requires invocable< F & > &&output_range< Rng, invoke_result_t< F & >>